package algo.util;

import java.util.HashSet;
import java.util.Set;

public class InitialVertex {
    public final Set<InitialVertex> neighbors;
    public final int id;
    public final String name;

    public InitialVertex(int id, String name) {
        this.id = id;
        this.name = name;
        neighbors = new HashSet<>();
    }

    public void addNeighbor(InitialVertex vertex) {
        neighbors.add(vertex);
    }
}
