package algo.test;

import algo.datastructure.Graph;
import algo.branch.Branch;
import algo.branch.BranchMerge;
import algo.ilp.ILPV1;
import algo.ilp.ILPV2;
import algo.heuristic.Heuristic;
import algo.heuristic.MergeHeuristic;
import algo.heuristic.SplitHeuristic;
import algo.ilp.MBILP;
import algo.util.IO;

import java.io.IOException;
import java.nio.file.Path;

public class TestSingleInstance {

    public static void main(String[] args) throws IOException {
        //TODO choose graph
        Path file = null; //if path = null, then the input of jar or the IDE is used
        file = Path.of("...");//alternatively, the path of the graph can be used sa well

        Graph g = IO.parseGraph(file);
        //TODO choose t
        int t = 2;

        long time = System.currentTimeMillis();
        int result;
        //TODO choose an algorithm or a heuristic
//        result = Branch.solve(g, t);
//        result = BranchMerge.solve(g, t);

//        result = ILPV1.solve(g, t);
//        result = ILPV2.solve(g, t);
//        result = MBILP.solve(g, t);

//        result = MergeHeuristic.solve(g, t).getCost();
//        result = SplitHeuristic.solve(g, t).getCost();
//        result = Heuristic.computeUpperBound(g, t);

        long finish = System.currentTimeMillis();
        System.out.println("time: " + (finish - time));
    }
}
