package algo.util;

import java.util.*;

public class Util {

    public static boolean printLogs = true;
    private static final Random r = new Random();

    public static void log(Object log) {
        if (printLogs) System.out.println(log);
    }

    public static int over2(int i) {
        return i * (i - 1) / 2;
    }

    public static <T> T getRandomElementOf(Collection<T> collection) {
        int item = r.nextInt(collection.size());
        int i = 0;
        for (T bag : collection) {
            if (i == item) return bag;
            i++;
        }
        return null;
    }
}
